spring 92.0 compilation error

spring 92.0 compilation error

Discuss the source code and development of Spring Engine in general from a technical point of view. Patches go here too.

Moderators: Moderators, Moderators

Post Reply
User avatar
MelKor
Posts: 38
Joined: 15 Oct 2010, 16:05

spring 92.0 compilation error

Post by MelKor »

I have an error when I try to compile spring 92.0:

Code: Select all

/tmp/SBo/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp:361:97: error: invalid conversion from 'GLint {aka int}' to 'GLint* {aka int*}' [-fpermissive]
/tmp/SBo/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp:361:97: error: too many arguments to function
make[2]: *** [rts/builds/default/CMakeFiles/engine-
default.dir/__/__/Rendering/Shaders/GLSLCopyState.cpp.o] Error 1
make[1]: *** [rts/builds/default/CMakeFiles/engine-default.dir/all] Error 2
make: *** [all] Error 2
bash-4.1# 
Can someone help me with this ?

I download the source from the link in springrts.com

http://sourceforge.net/projects/springr ... z/download

Thank you in advance,

MelKor
0 x

abma
Spring Developer
Posts: 3566
Joined: 01 Jun 2009, 00:08

Re: spring 92.0 compilation error

Post by abma »

os/compiler?
0 x

User avatar
MelKor
Posts: 38
Joined: 15 Oct 2010, 16:05

Re: spring 92.0 compilation error

Post by MelKor »

Slackware Linux 13.37, gcc 3.7.1
0 x

abma
Spring Developer
Posts: 3566
Joined: 01 Jun 2009, 00:08

Re: spring 92.0 compilation error

Post by abma »

whats the output of gcc -v ? (gcc 3.7.1 looks wrong for me...)
0 x

User avatar
MelKor
Posts: 38
Joined: 15 Oct 2010, 16:05

Re: spring 92.0 compilation error

Post by MelKor »

sorry, I was confused, is gcc 4.7.0

Code: Select all

bash-4.1$ gcc -v
Reading specs from /usr/lib64/gcc/x86_64-slackware-linux/4.7.0/specs
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-slackware-linux/4.7.0/lto-wrapper
Target: x86_64-slackware-linux
Configured with: ../gcc-4.7.0/configure --prefix=/usr --libdir=/usr/lib64 --mandir=/usr/man --infodir=/usr/info --enable-shared --enable-bootstrap --enable-languages=ada,c,c++,fortran,go,java,lto,objc --enable-threads=posix --enable-checking=release --enable-objc-gc --with-system-zlib --with-python-dir=/lib64/python2.6/site-packages --disable-libunwind-exceptions --enable-__cxa_atexit --enable-libssp --enable-lto --with-gnu-ld --verbose --enable-java-home --with-java-home=/usr/lib64/jvm/jre --with-jvm-root-dir=/usr/lib64/jvm --with-jvm-jar-dir=/usr/lib64/jvm/jvm-exports --with-arch-directory=amd64 --with-antlr-jar=/home/slackware/slackbuilds/gcc/antlr-runtime-3.4.jar --enable-multilib --target=x86_64-slackware-linux --build=x86_64-slackware-linux --host=x86_64-slackware-linux
Thread model: posix
gcc version 4.7.0 (GCC) 
0 x

Chesti
Posts: 4
Joined: 10 Feb 2013, 15:25

Re: spring 92.0 compilation error

Post by Chesti »

I get same error, doesn't matter if I use source archive or from git master.
[ 31%] Built target luasocket
make -f rts/builds/default/CMakeFiles/engine-default.dir/build.make rts/builds/default/CMakeFiles/engine-default.dir/depend
make[2]: Entering directory `/usr/src/spring/spring_92.0'
cd /usr/src/spring/spring_92.0 && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /usr/src/spring/spring_92.0 /usr/src/spring/spring_92.0/rts/builds/default /usr/src/spring/spring_92.0 /usr/src/spring/spring_92.0/rts/builds/default /usr/src/spring/spring_92.0/rts/builds/default/CMakeFiles/engine-default.dir/DependInfo.cmake --color=
make[2]: Leaving directory `/usr/src/spring/spring_92.0'
make -f rts/builds/default/CMakeFiles/engine-default.dir/build.make rts/builds/default/CMakeFiles/engine-default.dir/build
make[2]: Entering directory `/usr/src/spring/spring_92.0'
/usr/bin/cmake -E cmake_progress_report /usr/src/spring/spring_92.0/CMakeFiles
[ 31%] Building CXX object rts/builds/default/CMakeFiles/engine-default.dir/__/__/Rendering/Shaders/GLSLCopyState.cpp.o
cd /usr/src/spring/spring_92.0/rts/builds/default && /usr/bin/c++ -DBOOST_NO_FENV_H -DSPRING_DATADIR=\"/usr/local/share/games/spring\" -DSTREFLOP_SSE -DSYNCCHECK -fopenmp -march=i686 -msse -mfpmath=sse -mno-sse2 -mno-sse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -mno-sse4 -mno-sse4a -mno-avx -mno-fma -mno-fma4 -mno-xop -mno-lwp -fsingle-precision-constant -frounding-math -mieee-fp -pipe -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pthread -O2 -DNDEBUG -g -I/usr/src/spring/spring_92.0/rts/lib/lua/include -I/usr/include/boost-1_49 -I/usr/src/spring/spring_92.0/include/AL -I/usr/src/spring/spring_92.0/rts -I/usr/src/spring/spring_92.0/src-generated/engine -I/usr/include/SDL -I/usr/include/freetype2 -I/usr/include/AL -o CMakeFiles/engine-default.dir/__/__/Rendering/Shaders/GLSLCopyState.cpp.o -c /usr/src/spring/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp
/usr/src/spring/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp: In function ‘void CopyShaderState_TransformFeedback(GLuint, GLuint)’:
/usr/src/spring/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp:361:97: error: invalid conversion from ‘GLint’ to ‘GLint*’
/usr/src/spring/spring_92.0/rts/Rendering/Shaders/GLSLCopyState.cpp:361:97: error: too many arguments to function
make[2]: *** [rts/builds/default/CMakeFiles/engine-default.dir/__/__/Rendering/Shaders/GLSLCopyState.cpp.o] Error 1
make[2]: Leaving directory `/usr/src/spring/spring_92.0'
make[1]: *** [rts/builds/default/CMakeFiles/engine-default.dir/all] Error 2
make[1]: Leaving directory `/usr/src/spring/spring_92.0'
make: *** [all] Error 2
gcc:
gcc -v
Using built-in specs.
COLLECT_GCC=/usr/i686-pc-linux-gnu/gcc-bin/4.5.3/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/i686-pc-linux-gnu/4.5.3/lto-wrapper
Target: i686-pc-linux-gnu
Configured with: /var/tmp/paludis/sys-devel-gcc-4.5.3-r2/work/gcc-4.5.3/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.5.3 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.5.3/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.5.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.5.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.5.3/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.5.3/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --disable-fixed-point --without-ppl --without-cloog --disable-lto --enable-nls --without-included-gettext --with-system-zlib --disable-werror --enable-secureplt --disable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-python-dir=/share/gcc-data/i686-pc-linux-gnu/4.5.3/python --enable-checking=release --with-arch=i686 --enable-languages=c,c++,java,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-targets=all --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.5.3-r2 p1.0, pie-0.4.7'
Thread model: posix
gcc version 4.5.3 (Gentoo 4.5.3-r2 p1.0, pie-0.4.7)
0 x

abma
Spring Developer
Posts: 3566
Joined: 01 Jun 2009, 00:08

Re: spring 92.0 compilation error

Post by abma »

http://springrts.com/mantis/view.php?id=3484
@chesti:
does updating mesa help? mesa-8.1_rc1 looks like an unstable version for me... but just a guess, i'm not using slackware or gentoo.
0 x

Chesti
Posts: 4
Joined: 10 Feb 2013, 15:25

Re: spring 92.0 compilation error

Post by Chesti »

I had too old version from GLEW it was 1.5.6
Now I have 1.9.0 and all works fine :)

ty!
0 x

User avatar
MelKor
Posts: 38
Joined: 15 Oct 2010, 16:05

Re: spring 92.0 compilation error

Post by MelKor »

yes, it fix it, ty guys !!

MelKor
0 x

Post Reply

Return to “Engine”